
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="ContenedorOrdenes">
        <div class="form-row">
          <div class="form-group col-12 d-flex justify-content-center bg-light rounded">
            <ul class="nav mt-1 mb-1">
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarOrdenes === true }" (click)="MostrarOrdenes()"><span class="badge badge-danger mr-1">{{tOrdenes.length}}</span><span class="text-xs">Ordenes</span></button>
              </li>
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarPreOrdenes === true }" (click)="MostrarPreOrdenes()"><span class="badge badge-danger mr-1">{{tPreordenes.length}}</span><span class="text-xs">Pre-Ordenes</span></button>
              </li>
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarMisOrdenes === true }" (click)="MostrarMisOrdenes()"><span class="badge badge-danger mr-1">{{tMisOrdenes.length}}</span><span class="text-xs">Mis ordenes</span></button>
              </li>
            </ul>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tOrdenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarPreOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tPreordenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarMisOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tMisOrdenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
      </div>
      <div class="ContenedorOrden">
        <app-fw-pedidos-datos [Cliente]="tClienteActual" [Pedido]="tClientePedidoActual" [Empresa]="tEmpresaActual" (Seleccionar)="ModalClientes($event)"></app-fw-pedidos-datos>
        <div class="form-row">
          <div class="form-group col-12">
            <ul class="nav nav-tabs" role="tablist">
              <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Articulos" role="tab" aria-controls="Articulos" aria-selected="true" id="Articulos-tab">Artículos</a></li>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Cupones" role="tab" aria-controls="Cupones" aria-selected="true" id="Cupones-tab">Cupones</a></li>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Colecciones" role="tab" aria-controls="Colecciones" aria-selected="true" id="Colecciones-tab">Colecciones</a></li>
            </ul>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="tab-content" id="mvDatos">
              <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Articulos-tab" id="Articulos">
                <app-fw-pedidos-articulos [Cliente]="tClienteActual" [(Pedido)]="tClientePedidoActual" [Empresa]="tEmpresaActual" (BuscarPedido)="Buscar_Pedido($event)" (ModificarArticulo)="ModificarArticulo($event)" (EliminarArticulo)="EliminarArticulo($event)"></app-fw-pedidos-articulos>
              </div>
              <div class="tab-pane fade" role="tabpanel" aria-labelledby="Cupones-tab" id="Cupones">
                <app-fw-pedidos-cupones></app-fw-pedidos-cupones>
              </div>
              <div class="tab-pane fade" role="tabpanel" aria-labelledby="Colecciones-tab" id="Colecciones">
                <app-fw-pedidos-colecciones [Cliente]="tClienteActual" [(Pedido)]="tClientePedidoActual" [Empresa]="tEmpresaActual" (BuscarPedido)="Buscar_Pedido($event)"></app-fw-pedidos-colecciones>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 text-right">
            <button class="btn btn-secondary btn-icon-split mr-2" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Limpiar</span></button>
            <button class="btn btn-danger btn-icon-split ml-2 mr-2" type="button" (click)="Anular()"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Anular</span></button>
            <button class="btn btn-primary btn-icon-split ml-2 mr-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' &amp;&amp; tClientePedidoActual.Estatus === 'CERRADO'" (click)="Aprobar()"><span class="icon text-white-50"><i class="fas fa-handshake"></i></span><span class="text">Aprobar</span></button>
            <button class="btn btn-primary btn-icon-split ml-2 mr-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' &amp;&amp; tClientePedidoActual.Estatus === 'ACTIVO'" (click)="Cerrar()"><span class="icon text-white-50"><i class="fas fa-door-closed"></i></span><span class="text">Cerrar</span></button>
            <button class="btn btn-primary btn-icon-split ml-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'ORDEN'" (click)="AbrirModalFacturacion()"><span class="icon text-white-50"><i class="fas fa-handshake"></i></span><span class="text">Facturar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>